package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.MarcacionesFace;
import com.contabilidad.EntConta.Personal;

import java.util.Date;
import java.util.List;

public interface PersonalFacadeLocal {

    void create(Personal personal);

    void edit(Personal personal);

    void remove(Personal personal);

    Personal find(Object id);

    List<Personal> findAll();

    List<Personal> findRange(int[] range);

    String obtenerNuevoCodigoEmp(String letraApellido);

    List<Personal> listNombreLike(String query);

    String obtenernamedepart(String dep);

    List<Personal> empleadosActivos();

    Personal empleadoPorCodigo(String codigoEmpleado);

    public MarcacionesFace marcacionesEmpleado(String codigoEmpleado, Date fecha);
}
